0.01
No commit activity in last 3 years
No release in over 3 years
Provide frontend functions for Comable.
2005
2006
2007
2008
2009
2010
2011
2012
2013
2014
2015
2016
2017
2018
2019
2020
2021
2022
 Dependencies

Runtime

< 4.2, >= 3.2.2
< 4.1, ~> 3.1.2
~> 0.16.2
~> 2.0.0
< 5, >= 3.2.0
~> 3.0.1
~> 2.7.0
 Project Readme

Comable

Build Status Code Climate Coverage Status Dependency Status Gem Version

Comable provides a simple way to add e-commerce features to your Ruby on Rails application.

Installation

  1. Add comable in the Gemfile:
gem 'comable'
  1. Download and install by running:
bundle install
  1. Run the generator:
bundle exec rails generate comable:install
  1. Start up your application:
bundle exec rails server

Go to your browser and open http://localhost:3000.

Access the admin panel

You will need to import the seed data if admin user does not exist.

bundle exec rake db:seed

Go to your browser and open http://localhost:3000/admin.

Requirements

  • Ruby on Rails 4.0, 4.1, 4.2
  • Ruby 2.1, 2.2

Rails 3 is not supported.

Development

To set up a development environment, simply do:

bundle install
bundle exec rake db:create
bundle exec rake db:migrate
bundle exec rake  # run the test suite